Get all records with paging
const url = 'https://open-api.replyco.com/openapi/order/paged?page=1&count=10&asc=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://open-api.replyco.com/openapi/order/paged?page=1&count=10&asc=true' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Page number, default = 1
Amount of elements per page, default = 10
Search text in main model fields
Name of field to sort by
True if ascending sort, false if descending, default - true
Responses
Section titled “Responses”OK
object
object
Default = now
Spare bool field for different integrations For Shopify = true if order is draft
Customer field only for model, because some markets api sent order with customer
Json string format
Number order id(which visible for user)
object
State or region
object
State or region
If you have products or variations already you have to use them instead of create the same, because of unique MarketId and SKU rule
object
Leave empty if attach new one on order creating
Ordered amount
Price per item in order
object
Leave empty if create new one with this variation
object
Spare string field for different integrations Shopify - parent product id (products it’s a variant of parent product)
Default = now
object
Example
{ "totalRecords": 1, "pageSize": 100, "pagesCount": 1, "currentPage": 1, "data": [ { "id": "5b7e9c1d-2f4a-4b6c-8d0e-1f2a3b4c5d6e", "integrationId": "8a1b1d6c-5f1a-4c8e-9f2b-7d3e5a9c1b40", "customerId": "3f1c2a9e-7b4d-4e2f-9a6c-1d5e8b7f0a23", "marketOrderId": "EX-100245", "purchaseDate": "2026-10-20T09:15:00Z", "orderTotalAmount": 59.98, "orderCurrency": "GBP", "paid": true, "status": "Pending" } ]}Unauthorized